{% extends 'base.html' %}

{% block content %}
    <h1>Books ({{ num_books }})</h1>
    <p>
        <a href="{{ url_for('get_new')}}">Add new</a>
    </p>

    <form method="get">
        <label for="title_search">Title</label>
        <input name="title_search" type="text" value="{{ title_search }}">

        <label for="order_by">Order By</label>
        <select name="order_by">
            <option value="price"{% if order_by == 'price' %} selected="selected"{% endif %}>Price</option>
            <option value="title"{% if order_by == 'title' %} selected="selected"{% endif %}>Title</option>
            <option value="author"{% if order_by == 'author' %} selected="selected"{% endif %}>Author</option>
        </select>
        <select name="sort" value="{{ sort }}">
            <option value="descending"{% if sort == 'descending' %} selected="selected"{% endif %}>Descending</option>
            <option value="ascending"{% if sort == 'ascending' %} selected="selected"{% endif %}>Ascending</option>
        </select>

        <label for="limit">Limit</label>
        <input name="limit" type="number" value="{{ limit }}" min="1" max="10">

        <input type="submit" value="Search">
    </form>

    {% if prev_url %}
    <a href="{{ prev_url }}">Previous</a>
    {% endif %}

    {% if next_url %}
    <a href="{{ next_url }}" disabled>Next</a>
    {% endif %}

    {% for book in books %}
    <div>
        <h2>{{ book.title }}</h2>
        <p>{{ book.author }}</p>
        <p>{{ book.price }} {{ book.currency }}</p>
    </div>
    {% endfor %}
{% endblock %}
